## slim 1.3.6.10.11

=== themes/CMakeLists.txt ===
subdirs (default)
