=== debian/changelog ===
slim (1.3.6.10.11) unstable; urgency=medium

  * Made it possible to install runit services

 -- anticapitalista <antix@operamail.com>  Thu, 09 Sep 2021 17:47:52 +0200
