## slim 1.3.6.10.13

=== debian/changelog ===
slim (1.3.6.10.13) unstable; urgency=medium

  * make sure we check for existece of /etc/init.d/slim before attempting to rmove it

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 20:01:44 +0300

slim (1.3.6.10.12) unstable; urgency=medium

  * remove /etc/init.d/slim if using runit

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 16:13:53 +0300
