## slim 1.3.6.10.14

=== debian/changelog ===
slim (1.3.6.10.14) unstable; urgency=medium

  * make sure /etc/sv/slim is removed on purge

 -- anticapitalista <antix@operamail.com>  Thu, 07 Oct 2021 19:24:59 +0300
