=== debian/changelog ===
slim (1.3.6.10.15) unstable; urgency=medium

  * added seatd as an alternative dependency to elogind and consolekit

 -- anticapitalista <antix@operamail.com>  Fri, 22 Oct 2021 14:55:54 +0300
