=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Provides: x-display-manager
 Recommends: xterm
 Suggests: scrot, xauth
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, default-logind | logind | consolekit
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, default-logind | logind | consolekit | seatd
 Description: desktop-independent graphical login manager for X11
  SLiM aims to be light, simple and independent from the various
  desktop environments. Although completely configurable through
