## slim 1.4.0

=== debian/changelog ===
slim (1.4.0-0devuan2) unstable; urgency=medium

  [ Rob Pearce ]
  * Devuan bug #739 : Fixed the SysVInit expectation of the pidfile

 -- Rob Pearce <slim@flitspace.org.uk>  Sun, 29 Jan 2023 18:18:20 +0000

slim (1.4.0-0devuan1) unstable; urgency=medium

  [ Rob Pearce ]
  * New upstream release:
    - Incorporates some of our patches
  * Adjusted the patch set to suit
  * Bump up standards to 4.6.2
  * Removed dependency on lsb-base as it no longer exists

 -- Rob Pearce <slim@flitspace.org.uk>  Sun, 22 Jan 2023 14:28:05 +0000

slim (1.3.9-1devuan2) unstable; urgency=medium

  [ Rob Pearce ]
  * Pre-emptively changed the passwd_feedback_x/y origin to match slimlock
    as that's how V1.4.0 will do it

 -- Rob Pearce <slim@flitspace.org.uk>  Tue, 3 Jan 2023 22:28:05 +0000

slim (1.3.9-1devuan1) unstable; urgency=medium

  [ Rob Pearce ]
  * Replaced upstream with actively maintained fork
  * Adjusted the patch set to suit
  * Bump up standards to 4.6.1, no changes

  [ Boian Bonev ]
  * Enable hardening build options
  * Add patch to convert README to UTF-8
  * Refresh patches by quilt
  * Remove an obsolete upstart file
  * Bump up compat to 13
  * wrap-and-sort
  * Bump up standards to 4.6.2, no changes

 -- Rob Pearce <slim@flitspace.org.uk>  Mon, 12 Dec 2022 10:48:23 +0000

slim (1.3.6-5.3devuan1) unstable; urgency=medium

  * Merge Debian 1.3.6-5.3.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 18 Feb 2022 16:33:29 +0000

slim (1.3.6-5.2+devuan1) unstable; urgency=medium

  * Set slim PAM session as class greeter. This ensures sessions
    are closed promptly on logout and we always get a session on
    a rapid logout/login cycle (Closes: #540).
  * Merge changes from debian 1.3.6-5.2 NMU.
  * d/control: add Origin: Devuan
  * d/control: update Vcs-* following Gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 21 Jan 2021 15:45:24 +0000
