=== debian/control ===
Source: slim
Section: x11
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders:
 Mark (LeePen) Hindley <mark@hindley.org.uk>,
 Daniel Reurich <daniel@centurion.net.nz>,
 Dima Krasner <dima@dimakrasner.com>,
 Rob Pearce <slim@flitspace.org.uk>,
Build-Depends:
 cmake,
 debconf,
 debhelper-compat (= 13),
 freeglut3-dev,
 libjpeg-dev,
 libpam0g-dev,
 libpng-dev,
 libpthread-stubs0-dev,
 libxft-dev,
 libxmu-dev,
 libxrandr-dev,
 po-debconf,
 sharutils,
Standards-Version: 4.6.2
Vcs-Git: https://git.devuan.org/devuan/slim.git
Vcs-Browser: https://git.devuan.org/devuan/slim
Homepage: http://sourceforge.net/projects/slim-fork/
Origin: Devuan
Rules-Requires-Root: no

Package: slim
Architecture: any
Provides:
 x-display-manager,
Recommends:
 xterm,
Suggests:
 scrot,
 xauth,
Depends:
 dbus,
 debconf (>= 1.2.9) | debconf-2.0,
 default-logind | logind | consolekit,
 x11-xserver-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.
