=== themes/CMakeLists.txt ===
subdirs (default original)
