=== themes/original/CMakeLists.txt ===
set (THEMES "themes/original")

install(FILES slim.theme DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES panel.png DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES background.jpg DESTINATION ${PKGDATADIR}/${THEMES})
