=== debian/changelog ===
slim (1.4.1-3) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * QA upload.
  * Orphan the package, set QA as maintainer
  * d/control:
     - drop redundant RRR=no
     - bump S-V to 4.7.3, drop Priority: optional
  * d/copyright:
     - update old fsf address in GPL-2+ license
     - update debian contributors and years
  * d/watch: update to v5
  * d/patches: remove hardening from systemd service (Closes: #1107505)
  * Depends: use dbus virtual packages instead of dbus.
    + Thanks to Simon McVittie <smcv@debian.org> (Closes: #1122718)
  * update lintian overrides
  * slim.postinst: remove uneffective update-rc.d parameters (K,S)

  [ Andrew Bower ]
  * Provide $x-display-manager facility (sysvinit)
     (Salsa MR #3)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 17 Jan 2026 18:14:44 +0100

slim (1.4.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libcrypt-dev (Closes: #1107027)

 -- Yifei Zhan <debian@zhan.science>  Mon, 22 Dec 2025 10:24:44 +0000

slim (1.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113509)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:22:19 +0300

slim (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Install systemd unit into /usr again (DEP17 M2) (Closes: #1090752)
  * Revert "Re-install slim.conf"

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Dec 2024 17:31:44 +0100

slim (1.4.1-1) unstable; urgency=medium

  * Team upload.
    Closes: #1087575

  [ Andreas Tille ]
  * Incorporate changes from Devuan (listed below in changelog)
  * Remove Uploader Jens Peter Secher <jps@debian.org> since
      550 Unrouteable address
  * Set Vcs-fields to debian/ team on Salsa
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Do not mention removed styles (debian-moreblue-orbit) in include-binaries

  [ Mark Hindley ]
  * New upstream version 1.4.1
    Closes: #1024672, #475249
  * d/watch: update URL to use qa.debian.org redirector (see uscan(1)).
  * d/control: bump Standards Version (no changes).
  * d/patches/:
    - add patch to restore required includes to log.h.
    - drop patches applied upstream.
    - refresh patches.
  * d/copyright: remove obsolete files.

  [ Thomas Fischer ]
  * PR#7 by Thomas Fischer <tom314@posteo.net>
    - Move text labels to the correct position as in slim (slimlock,
      Devuan bug: #761)
    - Allow inline comments in config files
    - Fix background image with alpha channel stretch/tile/center and
      background color

  [ Rob Pearce ]
  * Devuan bug #739 : Fixed the SysVInit expectation of the pidfile
  * New upstream release:
    - Incorporates some of our patches
  * Removed dependency on lsb-base as it no longer exists
  * Pre-emptively changed the passwd_feedback_x/y origin to match slimlock
    as that's how V1.4.0 will do it
  * Replaced upstream with actively maintained fork

  [ Boian Bonev ]
  * Enable hardening build options
  * Add patch to convert README to UTF-8
  * Refresh patches by quilt
  * Remove an obsolete upstart file
  * Bump up compat to 13
  * wrap-and-sort

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2024 08:51:05 +0100

slim (1.3.6-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1073603)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Jun 2024 23:03:41 +0200
