=== debian/control ===
Source: slim
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: x11
Build-Depends: cmake,
               debconf,
               debhelper-compat (= 13),
               freeglut3-dev,
               libcrypt-dev,
               libjpeg-dev,
               libpam0g-dev,
               libpng-dev,
               libpthread-stubs0-dev,
               libxft-dev,
               libxmu-dev,
               libxrandr-dev,
               po-debconf,
               sharutils
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/slim
Vcs-Git: https://salsa.debian.org/debian/slim.git
Homepage: http://sourceforge.net/projects/slim-fork/

Package: slim
Architecture: any
Depends: default-dbus-system-bus | dbus-system-bus,
         debconf | debconf-2.0,
         default-logind | logind | consolekit,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xterm
Suggests: scrot,
          xauth
Provides: x-display-manager
Description: desktop-independent graphical login manager for X11
 SLiM aims to be light, simple and independent from the various
 desktop environments. Although completely configurable through
 themes and an option file. It is particularly suitable for machines
 that don't require remote logins.
