=== debian/watch ===
Version: 5

Source: http://sf.net/slim-fork/
Matching-Pattern: slim-@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/
